/**
 * 
 */
package org.springblade.etl.engine.flink.client.session;

import org.springblade.etl.enums.DeploymentTarget;

/**
 * @author wookvn
 *
 */
public final class SessionFactory {

    public static SessionCommand buildSessionCommand(DeploymentTarget target) {
        switch(target) {
        case STANDALONE_SESSION:
            throw new UnsupportedOperationException();
//        case YARN_SESSION:
//            return new YarnSessionCreateCommand();
//        case NATIVE_KUBERNETES_SESSION:
//            return new KubernetesSessionCreateCommand();
        default:
            throw new UnsupportedOperationException();
        }
    }
}
